package cn.com.ty.lift.business.library.dao.entity.model.request;

import cn.com.ty.lift.business.library.dao.entity.Lift;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author bieao
 * @date 2020/3/5
 * @description 电梯修改请求
 */
@Data
public class LiftModifyRequest {
    /**
     * 项目电梯关联id
     */
    @NotNull(message = "notEmpty")
    private Long relevanceId;

    /**
     * 公司id
     */
    @NotNull(message = "notEmpty")
    private Long mtCompanyId;

    /**
     * 维保工
     */
    private Long workerId;

    /**
     * 电梯
     */
    @NotNull(message = "notEmpty")
    private Lift lift;
}
